<?php

//Setting options page
/*******************************
 * Callback function to add the menu
 *******************************/
function ilist_show_settngs_page_callback_func()
{
	add_submenu_page(
		'edit.php?post_type=ilist',
		'Settings',
		'Settings',
		'manage_options',
		'ilist_settings',
		'qc_ilist_settings_page_callback_func'
	);
	add_action( 'admin_init', 'ilist_register_plugin_settings' );
} //show_settings_page_callback_func
add_action( 'admin_menu', 'ilist_show_settngs_page_callback_func');

function ilist_register_plugin_settings() {
	//register our settings
	//general Section
	register_setting( 'qc-ilist-plugin-settings-group', 'sl_enable_rtl' );
	register_setting( 'qc-ilist-plugin-settings-group', 'sl_enable_embed_list' );
	register_setting( 'qc-ilist-plugin-settings-group', 'sl_embed_title' );
	register_setting( 'qc-ilist-plugin-settings-group', 'sl_embed_link' );

	//Language Settings
	register_setting( 'qc-ilist-plugin-settings-group', 'ilist_lan_share_list' );

	//custom css section
	register_setting( 'qc-ilist-plugin-settings-group', 'sl_custom_style' );

	
}

function qc_ilist_settings_page_callback_func(){
	
	?>

<div class="wrap swpm-admin-menu-wrap">
  <h1><?php echo esc_html( 'iList Settings Page' , 'iList' ); ?></h1>
  <h2 class="nav-tab-wrapper ilist_nav_container"> 
    <a class="nav-tab ilist_click_handle nav-tab-active" href="#getting_started"><?php echo esc_html( 'Getting Started' , 'iList' ); ?></a> 
    <a class="nav-tab ilist_click_handle " href="#general_settings"><?php echo esc_html( 'General Settings' , 'iList' ); ?></a> 
    <a class="nav-tab ilist_click_handle" href="#language_settings"><?php echo esc_html( 'Language Settings' , 'iList' ); ?></a> 
    <a class="nav-tab ilist_click_handle" href="#custom_css"><?php echo esc_html( 'Custom Css' , 'iList' ); ?></a> 
    <a class="nav-tab ilist_click_handle" href="#help"><?php echo esc_html( 'Help' , 'iList' ); ?></a> </h2>
  <form method="post" action="options.php">
    <?php settings_fields( 'qc-ilist-plugin-settings-group' ); ?>
    <?php do_settings_sections( 'qc-ilist-plugin-settings-group' ); ?>
    <div id="getting_started">
      <div class="PortfolioX-Slider"> 
        
        <!-- Set up your HTML -->
        <div class="Slider-Hero-Slider owl-carousel owl-theme" id="carousel">
          <div class="PortfolioX-section">
            <div class="service-count"><?php echo esc_html( 'Step 1' , 'iList' ); ?></div>
            <div class="PortfolioX-details">
              <h2><?php echo esc_html( '// Create a new iList (infographic)' , 'iList' ); ?></h2>
              <p> <?php echo esc_html( 'Go to New iList and start by giving it a name. Select a iList type. Info Lists comprises of only text, Graphics Lists only images. Select Infographic Lists for images and texts both.' , 'iList' ); ?> <br />
                <br />
                <strong><?php echo esc_html( 'Choose a template. Add a simple Chart if you want to.' , 'iList' ); ?></strong></p>
            </div>
            <div class="PortfolioX-img"><img src="<?php echo QCOPD_IMG_URL1; ?>/step1.jpg" alt=""></div>
          </div>
          <div class="PortfolioX-section">
            <div class="service-count"><?php echo esc_html( 'Step 2' , 'iList' ); ?></div>
            <div class="PortfolioX-details">
              <h2><?php echo esc_html( '// Add Infographic Details' , 'iList' ); ?></h2>
              <p> <?php echo esc_html( 'Start adding Infographic details with a Title, Description and an Image for each entry. Click the Add Another Entry button to add as many entries you need. A typical Infographic can have 5-10 entries.' , 'iList' ); ?><br />
                <br />
                <strong><?php echo esc_html( 'Save the iList and Publish.' , 'iList' ); ?></strong> </p>
            </div>
            <div class="PortfolioX-img"><img src="<?php echo QCOPD_IMG_URL1; ?>/step2.jpg" alt=""></div>
          </div>
          <div class="PortfolioX-section">
            <div class="service-count"><?php echo esc_html( 'Step 3' , 'iList' ); ?></div>
            <div class="PortfolioX-details">
              <h2><?php echo esc_html( '// Generate and Paste Shortcode on a Page ' , 'iList' ); ?></h2>
              <p><?php echo esc_html( 'The final step is to publish your infographic on a page or post. This is done with a shortcode and the easiest way is to use the Shortcode Generator. After you generated the ShortCode, simply paste it exactly where you want the Infographic to show up.' , 'iList' ); ?></p>
              <br />
              <p style="color:#FF0004;"><?php echo esc_html( 'NB: iLists must be published before you add the shortcode to a page. iLists won\'t display on your page if it is in Draft mode. Don\'t worry, your iLists won\'t show until you add the shortcode to a page or post.' , 'iList' ); ?> </p>
            </div>
            <div class="PortfolioX-img"><img src="<?php echo QCOPD_IMG_URL1; ?>/step4.jpg" alt=""></div>
          </div>
          
          <!--<div class="PortfolioX-section">
            <div class="service-count">Step 3</div>
            <div class="PortfolioX-details">
              <h2>// Shortcode Example</h2>
              <p>
              
[qcld-ilist mode="one" list_id="75"]
<br /><br />
<strong>Available Parameters:</strong><br />
<strong>1. mode</strong><br />
Value for this option can be set as "one" or "all". Example: mode="one"
<br />
<strong>2. column</strong><br />
Avaialble values: "1", "2", "3". Example: column=1
<br />
<strong>6. list_id</strong><br />
Only applicable if you want to display a single list [not all]. You can provide specific list id here as a value. You can also get ready shortcode for a single list under "Manage List Items" menu. Example: list_id="404"
<br />
<strong>9. upvote</strong><br />
Values: on or off. This options allows upvoting of your list items.
<strong>Example:</strong> upvote="on"              
              
              </p>
            </div>
            <div class="PortfolioX-img"><img src="<?php echo QCOPD_IMG_URL1; ?>/step5.jpg" alt=""></div>
          </div>    --> 
          
        </div>
      </div>
    </div>
    <div id="general_settings" style="display:none">
      <table class="form-table">
        <tr valign="top">
          <th scope="row"><?php echo esc_html( 'Enable RTL Direction' , 'iList' ); ?></th>
          <td><input type="checkbox" name="sl_enable_rtl" value="on" <?php echo (esc_attr( get_option('sl_enable_rtl') )=='on'?'checked="checked"':''); ?> />
            <i><?php echo esc_html( 'If you make this option ON, then list heading and list items will be arranged in Right-to-Left direction.' , 'iList' ); ?></i></td>
        </tr>
        <tr valign="top">
          <th scope="row"><?php echo esc_html( 'Enable embed List button on listing pages' , 'iList' ); ?></th>
          <td><input type="checkbox" name="sl_enable_embed_list" value="on" <?php echo (esc_attr( get_option('sl_enable_embed_list') )=='on'?'checked="checked"':''); ?> />
            <i><?php echo esc_html( 'Enable embed link button to generate iFrame embed code for particular list.' , 'iList' ); ?></i></td>
        </tr>
        <tr valign="top">
          <th scope="row"><?php echo esc_html( 'Title for Embed option' , 'iList' ); ?></th>
          <td><input type="text" name="sl_embed_title" size="100" value="<?php echo esc_attr( get_option('sl_embed_title') ); ?>"  />
            <i><?php echo esc_html( 'Credit title displayed in embed option.' , 'iList' ); ?></i></td>
        </tr>
        <tr valign="top">
          <th scope="row"><?php echo esc_html( 'Link for Embed option' , 'iList' ); ?></th>
          <td><input type="text" name="sl_embed_link" size="100" value="<?php echo esc_attr( get_option('sl_embed_link') ); ?>"  />
            <i><?php echo esc_html( 'Credit link displayed in embed option.' , 'iList' ); ?></i></td>
        </tr>
      </table>
    </div>
    <div id="language_settings" style="display:none">
      <table class="form-table">
        <tr valign="top">
          <th scope="row"><?php echo esc_html( 'Generate Embed Code' , 'iList' ); ?></th>
          <td><input type="text" name="ilist_lan_share_list" size="100" value="<?php echo esc_attr( get_option('ilist_lan_share_list') ); ?>"  />
            <br/>
            <i><?php echo esc_html( 'Change the language for Generate Embed Code' , 'iList' ); ?></i></td>
        </tr>
      </table>
    </div>
    <div id="custom_css" style="display:none">
      <table class="form-table">
        <tr valign="top">
          <th scope="row"><?php echo esc_html( 'Custom Css' , 'iList' ); ?></th>
          <td><textarea name="sl_custom_style" rows="10" cols="100"><?php echo esc_attr( get_option('sl_custom_style') ); ?></textarea>
            <br />
            <i><?php echo esc_html( 'Write your custom CSS here. Please do not use' , 'iList' ); ?> <b><?php echo esc_html( 'style' , 'iList' ); ?></b> <?php echo esc_html( 'tag in this textarea.' , 'iList' ); ?></i></td>
        </tr>
      </table>
    </div>
    <div id="help" style="display:none">
      <table class="form-table">
        <tr valign="top">
          <th scope="row"><?php echo esc_html( 'Help' , 'iList' ); ?></th>
          <td><div>
              <h1><?php echo esc_html( 'Welcome to the Infographic Maker - iList! You are' , 'iList' ); ?> <strong><?php echo esc_html( 'awesome' , 'iList' ); ?></strong>, <?php echo esc_html( 'by the way' , 'iList' ); ?> <img draggable="false" class="emoji" alt="🙂" src="<?php echo QCOPD_IMG_URL1; ?>/1f642.svg"></h1>
              <h3><?php echo esc_html( 'Getting Started' , 'iList' ); ?></h3>
              <p><?php echo esc_html( 'In principle, an infographic is a List created with three building blocks – Texts, Images and Charts laid out in a visually impressive manner to convey a specific idea that anyone can easily grasp. iList lets you make Lists with Images, Texts, and Charts (pro feature).' , 'iList' ); ?> </p>
              <p><?php echo esc_html( 'With that in mind you should start with the following simple steps.' , 'iList' ); ?></p>
              <br>
              <p><b><?php echo esc_html( 'Step 1: Go to our Infographic Maker iList and Press on that New iList button.' , 'iList' ); ?> </b></p>
              <br>
              <p><b><?php echo esc_html( 'Step 2: Begin by giving your infographic a Title. Preferably a catchy one to grab user’s interest. In the next row, we have three options –  Info Lists, Graphic Lists, and Infographics. Infographics is selected by default – so nothing needs to be done there.' , 'iList' ); ?></b></p>
              <br>
              <p><b> <?php echo esc_html( 'Step 3: Next, you can select a template for your InfoGraphic from a lightbox window which shows a preview of all the available templates. Click on the template you want to start with. Don’t worry. You can change it later. Anytime!.' , 'iList' ); ?></b></p>
              <br>
              <p><b><?php echo esc_html( 'Step 4: Now comes the fun part. You can now start adding your bullet points for the Lists. Each bullet point or list items can have a Title Text, Description Text, and Image (or Icon).' , 'iList' ); ?></b></p>
              <br>
              <p><b><?php echo esc_html( 'Step 5: The final step is to publish your infographic on a page or post. This is done with a shortcode and the easiest way is to use the Shortcode Generator. After you generated the ShortCode, simply paste it exactly where you want the Infographic to show up.' , 'iList' ); ?></b></p>
              <br>
              <p style="color:red"><b><?php echo esc_html( 'NB:' , 'iList' ); ?></b> <?php echo esc_html( 'iLists must be published before you add the shortcode to a page. iLists won\'t display on your page if it is in Draft mode. Don\'t worry, your iLists won\'t show until you add the shortcode to a page or post.' , 'iList' ); ?></p>
              <br>
              <p><?php echo esc_html( 'That’s it! The above steps are for the basic usages. There are a lot of advanced options and tons more templates available with the' , 'iList' ); ?> <a href="https://www.quantumcloud.com/products/infographic-maker-ilist/" target="_blank"><?php echo esc_html( 'Professional version' , 'iList' ); ?></a> <?php echo esc_html( 'if you ever feel the need. If you had any specific questions about how something works, do not hesitate to contact us from the' , 'iList' ); ?> <a href="<?php echo get_site_url().'/wp-admin/edit.php?post_type=ilist&page=qcpro-promo-page-ilist-free-page-123za'; ?>"><?php echo esc_html( 'Support Page' , 'iList' ); ?></a>. <img draggable="false" class="emoji" alt="🙂" src="<?php echo QCOPD_IMG_URL1; ?>/1f642.svg"></p>
              <p><strong><a href="<?php echo esc_url( 'https://www.quantumcloud.com/resources/make-infographics-ilist/' , 'iList' ); ?>" target="_blank"><?php echo esc_html( 'Check' , 'iList' ); ?></a> <?php echo esc_html( 'This Article we Created for the Pro Version for More Details with Images and Screenshots' , 'iList' ); ?></strong></p>
              <h3><?php echo esc_html( 'Shortcode Generator' , 'iList' ); ?></h3>
              <p> <?php echo esc_html( 'We encourage you to use the ShortCode generator found in the toolbar of your page/post editor in visual mode.' , 'iList' ); ?></p>
              <img src="<?php echo QCOPD_IMG_URL1; ?>/classic.jpg" alt="shortcode generator" />
              <p><?php echo esc_html( 'See sample below for where to find it for Gutenberg.' , 'iList' ); ?></p>
              <img src="<?php echo QCOPD_IMG_URL1; ?>/gutenburg.jpg" alt="shortcode generator" /> <img src="<?php echo QCOPD_IMG_URL1; ?>/gutenburg2.jpg" alt="shortcode generator" />
              <p><?php echo esc_html( 'This is how the shortcode generator will look like.' , 'iList' ); ?></p>
              <img src="<?php echo QCOPD_IMG_URL1; ?>/shortcode-generator1.jpg" alt="shortcode generator" /> 
              
              <!--<p>
We encourage you to use the ShortCode generator found in the toolbar of your page/post editor in visual mode. See sample below for where to find it</p><img src="<?php echo QCOPD_IMG_URL1; ?>/shortcode-generator.jpg" alt="shortcode generator" />
							<h3>Shortcode Generator</h3>-->
              
              <h3><?php echo esc_html( 'Shortcode Example' , 'iList' ); ?></h3>
              <p> <?php echo esc_attr( '[qcld-ilist mode="one" list_id="75"]' , 'iList' ); ?><br>
                <br>
                <strong><u><?php echo esc_html( 'Available Parameters:' , 'iList' ); ?></u></strong> <br>
              </p>
              <p> <strong><?php echo esc_html( '1. mode' , 'iList' ); ?></strong> <br>
                <?php echo esc_html( 'Value for this option can be set as "one" or "all".' , 'iList' ); ?>
                <?php echo esc_attr( 'Example: mode="one"' , 'iList' ); ?> </p>
              <p> <strong><?php echo esc_html( '2. column' , 'iList' ); ?></strong> <br>
                <?php echo esc_html( 'Avaialble values: "1", "2", "3".' , 'iList' ); ?>
                 <?php echo esc_attr( 'Example: column=1' , 'iList' ); ?></p>
              <p> <strong><?php echo esc_html( '6. list_id' , 'iList' ); ?></strong> <br>
                 <?php echo esc_html( 'Only applicable if you want to display a single list [not all]. You can provide specific list id here as a value. You can also get ready shortcode for a single list under "Manage List Items" menu.
                Example: list_id="404"' , 'iList' ); ?></p>
              <p> <strong><?php echo esc_html( '9. upvote' , 'iList' ); ?></strong> <br>
                <?php echo esc_html( 'Values: on or off. This options allows upvoting of your list items.' , 'iList' ); ?><br>
                 <?php echo esc_attr( 'Example: upvote="on"' , 'iList' ); ?></p>
            </div></td>
        </tr>
      </table>
    </div>
    <?php submit_button(); ?>
  </form>
</div>
<style>
    
.PortfolioX-section {
    background: #fff;
    padding: 15px;
	display: flex;
	    align-items: center;
}    
.PortfolioX-img {
    min-width: 490px;
    max-width: 490px;
}
.PortfolioX-Slider {
    margin: 25px 0 0 0;
}
.PortfolioX-Slider .owl-nav {
    text-align: center;
    margin: 0;
    padding: 0;
}
	
.PortfolioX-Slider .owl-carousel .owl-nav button.owl-next, .PortfolioX-Slider .owl-carousel .owl-nav button.owl-prev, .PortfolioX-Slider .owl-carousel button.owl-dot {
    background: #2271b1;
    color: #fff;
    border: none;
    padding: 12px 11px 22px 11px !important;
    font: inherit;
    font-size: 32px;
    line-height: 0px;
    margin: 12px 4px 4px 4px;
}	
.PortfolioX-section {
    width: 100%;
    max-width: 1220px;
    margin: 0 auto;
}
.PortfolioX-details {
    padding: 0 15px 0 0;
}


.service-count {
    color: #fff;
    background: linear-gradient(to bottom,#FFC312,#F79F1F);
    font-size: 15px;
    line-height: 75px;
    width: 52px;
    height: 75px;
    margin: -15px 0 20px;
    border-radius: 40px 0 100px 100px;
    position: absolute;
    text-align: center;
    font-weight: bold;
    top: 0;
    left: 0px;
}
.service-count:before, .service-count:after {
    content: "";
    background: #F79F1F;
    width: 25px;
    height: 15px;
    border-radius: 50px 50px 0 0;
    position: absolute;
left: 52px;
    z-index: 9999;
}
.service-count:after {
    background: #FFC312;
    border-radius: 50px 0 0 0;
    left: 40px;
    z-index: 99;
}

.PortfolioX-section {
    position: relative;
	    border-top: 20px solid #f0f0f1;
}

.PortfolioX-section h2{
    font-size: 28px;
	margin:0;
	padding:0 0 18px 0;	
}
.PortfolioX-section p{
    font-size: 18px;
	margin:0;
	padding:0;	
}



.PortfolioX-section h2 {
    line-height: 37px;
}


#getting_started .owl-nav{
    font-size: 0;
    line-height: 0;
    position: absolute;
    top: 50%;
    display: inline-block !important;
     width: 100%;
    padding: 0;
    -webkit-transform: translate(0, -50%);
    -ms-transform: translate(0, -50%);
    transform: translate(0, -50%);
    cursor: pointer;
    color: transparent;
    border: none !important;
    outline: none;
    background: transparent;
}
#getting_started button.owl-prev {
    left: -40px;
    position: absolute;
}

#getting_started button.owl-next {
    position: absolute;
    right: -40px;
}


.PortfolioX-Slider .owl-carousel .owl-nav button.owl-next, .PortfolioX-Slider .owl-carousel .owl-nav button.owl-prev, .PortfolioX-Slider .owl-carousel button.owl-dot {
    background: #F79F1F;
    border-radius: 50%;
    margin: 0;
    padding: 0 !important;
    width: 24px;
    height: 24px;
    line-height: 12px;
    font-size: 28px !important;
}

#getting_started .owl-nav span {
    margin: 0;
    padding: 0;
    line-height: 0 !important;
    height: 6px !important;
    display: block;
}

#getting_started  div#carousel {
    max-width: 1250px;
    margin: 0 auto;
}

@media only screen and (max-width:1199px){
.PortfolioX-section {
    max-width: 620px;
}
}
@media only screen and (max-width:1199px){
	.PortfolioX-section {
    background: #fff;
    padding: 15px;
    display: flex;
    align-items: center;
    flex-direction: column;
}
.PortfolioX-img {
    min-width: initial;
	width: 100%;
}
.PortfolioX-img img{
    width: 100%;
}

#getting_started button.owl-prev {
    left: 80px;
}

#getting_started button.owl-next {
    right: 80px;
}

}

    </style>
<script type="text/javascript">
		
jQuery(document).ready(function(){
jQuery("#carousel").owlCarousel({
  autoplay: false,
  lazyLoad: true,
  loop: true,
  mouseDrag:false,
  margin: 20,
  responsiveClass: true,
  dots:false,
  autoplayTimeout: 7000,
  smartSpeed: 800,
  nav: true,
  responsive: {
    0: {
      items: 1
    },

    600: {
      items: 1
    },

    1024: {
      items: 1
    },

    1366: {
      items: 1
    }
  }
});
});
		
		jQuery(document).ready(function($){
			$('.ilist_click_handle').on('click', function(e){
				e.preventDefault();
				var obj = $(this);
				container_id = obj.attr('href');
				$('.ilist_click_handle').each(function(){
					$(this).removeClass('nav-tab-active');
					$($(this).attr('href')).hide();
				})
				obj.addClass('nav-tab-active');
				$(container_id).show();
			})
			var hash = window.location.hash;
			if(hash!=''){
				$('.ilist_click_handle').each(function(){
					
					$($(this).attr('href')).hide();
					if($(this).attr('href')==hash){
						$(this).removeClass('nav-tab-active').addClass('nav-tab-active');
					}else{
						$(this).removeClass('nav-tab-active');
					}
				})
				$(hash).show();
			}
			
		})
		
	</script>
<?php
	
}

